The Citrix Connection Center Window

The Citrix Connection Center displays all connections established from a Citrix Receiver. You use Receiver to access applications, server desktops, or content (such as documents or presentations) published by an administrator. All the items you can access, collectively referred to as published resources, are stored on Citrix XenApp servers. Each group of servers is referred to as a server farm.

The Citrix Connection Center shows the currently open sessions.


Citrix Connection Center Overview

The Citrix Connection Center displays all connections established from Citrix Receiver.

The Connections window displays a list of active sessions. Each server entry in the list represents a session. For each seamless session, below each server entry, a list of the published resources you are running on that server appears.

The Connection Center offers various options to view statistics and control sessions and applications.

Disconnect Button

The Disconnect button disconnects the currently selected server session.

Full Screen Button

When the Full Screen button is clicked, the currently selected seamless connection switches to a full screen session. Press SHIFT+F2 to return this session to seamless mode.

Properties Button

Displays communication statistics for the selected server. The user name, server name, encryption level, session reliability, and SpeedScreen settings also appear for the currently selected session.

Logoff Button

To log off from a server, select a server entry from the list and click Logoff. The session ends and all published applications you are running on that server are terminated.

Session Security - Files

Use the Files drop-down menu to set access permissions of launched applications to files located on your mapped local drive. The settings do not affect the applications’ permissions to access files located on the server.
  • Choose Read Only to give the launched application read-only access to your associated local files.
  • Choose Ask Permission to have a dialog box appear before redirection requiring you to specify if redirection should occur or not.
  • Choose Full Access to give the launched application read-write access to your associated local files. Only the Full Access option allows you to save changes to your local drive.
  • Choose No Access to deny the launched application any access to your local files.
Note: Special Folder Redirection requires access to the Documents and Desktop folders on the user’s local computer. When a user launches an application through the Web Interface and selects No Access in the File drop-down menu in Connection Center, access is denied to the user’s local workstation drives including the user’s local Documents and Desktop folders. As a result, some applications might be unstable when trying to perform read/write operations to the denied folders. To avoid this, always grant full local access when Special Folder Redirection is enabled.

Session Security - Microphones/Webcams

Use the Audio Security drop-down menu to set launched application access permissions to your computer’s microphone or webcam.
  • Choose Ask Permission to have a dialog box appear before access requiring you to specify if access should be given or not
  • Choose Full Access to give the launched application access to your computer’s microphone or webcam to record your transmissions
  • Choose No Access to deny the launched application access to your computer’s microphone or webcam

Session Security - PDA Devices

Use the PDA Security drop-down menu to set launched application access permissions to your local PDA device.
  • Choose Ask Permission to have a dialog box appear before access requiring you to specify if access should be given or not
  • Choose Full Access to give the launched application access to the PDA device
  • Choose No Access to deny the launched application access to the PDA device

Session Security - USB/Other devices

Use the USB/Other devices drop-down menu to set launched application access permissions to your local scanners, digital cameras, Point of Sale, or other devices to acquire files or information from those devices.
  • Choose Ask Permission to have a dialog box appear before access requiring you to specify if access should be given or not
  • Choose Full Access to give the launched application access to your devices
  • Choose No Access to deny the launched application access to your devices

Application - Terminate Button

To terminate an individual published application connection, select a published application and click Terminate.

If you have other published applications running on that server, the session remains active and the published applications remain running. If no other published applications are running on the server, the connection to the server is terminated.


To change how you see published resources

You can switch between "seamless" and “full screen” mode.

  • Seamless mode. Published applications and desktops are not contained within a session window. Each published application and desktop appears in its own resizable window, as if it is physically installed on your user device. You can switch between published applications and the local desktop.
  • Full screen mode. Published applications are placed in a full screen-sized desktop.
  1. Select the server name.
  2. Click the Full Screen button and click OK.
  3. To return to seamless mode, press Shift + F2.


Why are the buttons disabled?

When a published application name is selected in the Citrix Connection Center, the Session and Session Security buttons are intentionally disabled. The Session buttons apply only to the server sessions and not individual published applications. The behavior of the Session Security features cannot be modified per published application; however, if you select a server name in the Connection Center, you can modify the Session Security settings for the session.
Session options | Session Security options
Disconnect | Files
Full Screen | Microphones/Webcams
Properties | PDA Devices
Log Off | USB/Other Devices


To display server statistics

You can use the Citrix Connection Center to display server statistics for a particular session. Some statistics displayed are:

  • Citrix Receiver version number
  • Server used for the connection
  • Account used to log on to the server
  • Enryption level
  • Whether or not Session Reliability is enabled
  • Whether or not SpeedScreen features are enabled
  • Number of incoming or outgoing bytes transported along the connection
  • Number of incoming or outgoing frames transported along the connection
  • Number of bytes divided by the number of frames
  • Number of incoming or outgoing frames that were incorrectly transported along the connection

To display server statistics and properties, select the server name and click Properties.


To leave a server session running when you disconnect

You can use Citrix Connection Center to disconnect from a server but leave your session running on it. If you disconnect from the server, use the Citrix Receiver menu to reconnect directly to the session.

  1. To disconnect a specific session, select the server name and click the Disconnect button.

    To disconnect all your running sessions, right-click the plug-in icon in your Windows notification area and select Disconnect Online Sessions.

  2. To reconnect to a disconnected session or sessions, right-click the Receiver icon in your Windows notification area and select Reconnect Online Sessions.


To end a server session

You can use Citrix Connection Center to end your server sessions and close all resources. When the session ends, all of your published resources running on that server are terminated.

  1. Select the server name.
  2. Click Log off.


To terminate an individual published application

You can use Citrix Connection Center to end a specific published application. If you have other published applications running on that server, the session remains active and the other published applications remain running. If no other published applications are running on the server, the connection to the server terminates.

  1. Ensure your session is in seamless mode.
  2. Select the published application from the list in the Connection Center.
  3. Click Terminate.


To set access permissions to files

Session Security - Files

Use the Files drop-down menu to set access permissions of launched applications to files located on your mapped local drive. The settings do not affect the applications’ permissions to access files located on the server.
  • Choose Read Only to give the launched application read-only access to your associated local files.
  • Choose Ask Permission to have a dialog box appear before redirection requiring you to specify if redirection should occur or not.
  • Choose Full Access to give the launched application read-write access to your associated local files. Only the Full Access option allows you to save changes to your local drive.
  • Choose No Access to deny the launched application any access to your local files.
Note: Special Folder Redirection requires access to the Documents and Desktop folders on the user’s local computer. When a user launches an application through the Web Interface and selects No Access in the File drop-down menu in Connection Center, access is denied to the user’s local workstation drives including the user’s local Documents and Desktop folders. As a result, some applications might be unstable when trying to perform read/write operations to the denied folders. To avoid this, always grant full local access when Special Folder Redirection is enabled.


To set access permissions for microphones and webcams

Session Security - Microphones/Webcams

Use the Audio Security drop-down menu to set launched application access permissions to your computer’s microphone or webcam.
  • Choose Ask Permission to have a dialog box appear before access requiring you to specify if access should be given or not
  • Choose Full Access to give the launched application access to your computer’s microphone or webcam to record your transmissions
  • Choose No Access to deny the launched application access to your computer’s microphone or webcam


To set access permissions for your local PDA device

Session Security - PDA Devices

Use the PDA Security drop-down menu to set launched application access permissions to your local PDA device.
  • Choose Ask Permission to have a dialog box appear before access requiring you to specify if access should be given or not
  • Choose Full Access to give the launched application access to the PDA device
  • Choose No Access to deny the launched application access to the PDA device


To set access permissions for your USB/Other devices

Session Security - USB/Other devices

Use the USB/Other devices drop-down menu to set launched application access permissions to your local scanners, digital cameras, Point of Sale, or other devices to acquire files or information from those devices.
  • Choose Ask Permission to have a dialog box appear before access requiring you to specify if access should be given or not
  • Choose Full Access to give the launched application access to your devices
  • Choose No Access to deny the launched application access to your devices